Karmic not working on a Dell 7400

Bug #474207 reported by hbonnin
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Debian
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

Hi,

My computer is a Dell T7400 with an Intel 631xESB/632xESB/3100 Ultra ATA storage controller.

I cannot boot Karmic using this old kernel as mountall needs a newer kernel.
If I use kernel 2.6.31.14 sooner or later the system crashes (disk errors):

lspci -vvn :
00:1f.2 SATA controller [0106]: Intel Corporation 631xESB/632xESB SATA AHCI Controller [8086:2681] (rev 09) (prog-if 01)
 Subsystem: Dell Device [1028:021d]
 Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 20
 I/O ports at fe00 [size=8]
 I/O ports at fe10 [size=4]
 I/O ports at fe20 [size=8]
 I/O ports at fe30 [size=4]
 I/O ports at fec0 [size=32]
 Memory at ff970000 (32-bit, non-prefetchable) [size=1K]
 Capabilities: [70] Power Management version 2
 Capabilities: [a8] SATA HBA <?>
 Kernel driver in use: ahci

05:00.0 SCSI storage controller [0100]: LSI Logic / Symbios Logic SAS1068E PCI-Express Fusion-MPT SAS [1000:0058] (rev 08)
 Subsystem: Dell Device [1028:021d]
 Flags: bus master, fast devsel, latency 0, IRQ 56
 I/O ports at cc00 [size=256]
 Memory at f7dec000 (64-bit, non-prefetchable) [size=16K]
 Memory at f7df0000 (64-bit, non-prefetchable) [size=64K]
 Expansion ROM at f7e00000 [disabled] [size=1M]
 Capabilities: [50] Power Management version 2
 Capabilities: [68] Express Endpoint, MSI 00
 Capabilities: [98] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
 Capabilities: [b0] MSI-X: Enable- Mask- TabSize=1
 Capabilities: [100] Advanced Error Reporting <?>
 Kernel driver in use: mptsas
 Kernel modules: mptsas

syslog kernel 2.6.31.14
Oct 31 18:01:39 T7400 kernel: [ 384.389927] sd 11:0:1:0: [sdb] Add. Sense: ATA pass through information available
Oct 31 18:01:44 T7400 kernel: [ 389.148057] sd 11:0:1:0: [sdb] Sense Key : Recovered Error [current] [descriptor]
Oct 31 18:01:44 T7400 kernel: [ 389.148063] Descriptor sense data with sense descriptors (in hex):
Oct 31 18:01:44 T7400 kernel: [ 389.148065] 72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
Oct 31 18:01:44 T7400 kernel: [ 389.148073] 00 00 00 00 00 00

I get the same error message when using smartctl.

If I compare the syslog using kernel 2.6.24.24 (which works perfectly) and kernel 2.6.31.14 the main difference are:
2.6.24.24:
EXT3-fs: mounted filesystem with ordered data mode.
2.6.31.14:
EXT3-fs: mounted filesystem with writeback data mode.

The following lines do not appear while using kernel 2.6.24.24
mptsas 0000:05:00.0: PCI INT A -> GSI 56 (level, low) -> IRQ 56
xor: automatically using best checksumming function: pIII_sse
             pIII_sse : 9901.000 MB/sec
xor: using function: pIII_sse (9901.000 MB/sec)
device-mapper: dm-raid45: initialized v0.2594b

Could someone kindly help me ?

hbonnin (fraysseix)
description: updated
Revision history for this message
Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage. I have classified this bug as a bug in linux.

When reporting bugs in the future please use apport, either via the appropriate application's "Help -> Report a Problem" menu or using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

affects: ubuntu → linux (Ubuntu)
Revision history for this message
Dern (nico-sonycom) wrote :

I'm also using a Dell T7400. I am able to install and boot 9.10, however since the install I'm getting the same type of error messages in my log files:

Nov 6 08:51:30 bottlenose kernel: [86478.151170] sd 8:0:0:0: [sda] Sense Key : Recovered Error [current] [descriptor]
Nov 6 08:51:30 bottlenose kernel: [86478.151176] Descriptor sense data with sense descriptors (in hex):
Nov 6 08:51:30 bottlenose kernel: [86478.151178] 72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
Nov 6 08:51:30 bottlenose kernel: [86478.151188] 00 4f 00 c2 00 50
Nov 6 08:51:30 bottlenose kernel: [86478.151194] sd 8:0:0:0: [sda] Add. Sense: ATA pass through information available

I'm using the standard kernel:

cat /proc/version
Linux version 2.6.31-14-generic-pae (buildd@rothera) (gcc version 4.4.1 (Ubuntu 4.4.1-4ubuntu8) ) #48-Ubuntu SMP Fri Oct 16 15:22:42 UTC 2009

I'll run some checks for disk errors later today.

Revision history for this message
hbonnin (fraysseix) wrote :

I installed Karmic upgrading from 9.04 on an ext3 partition -> kernel 2.6.31-14-generic
After a while I get infinitely many lines "Sense Key : Recovered Error ...", ending freezing the computer.
And now most of the time I cannot even boot.
I had this problem with all the kernels I tested after 2.6.24.24.

I just installed another Karmic with the windows installer -> kernel 2.6.31-14-generic-pae
I still get the same messages but much less often and the system keep running.
I wonder how different are these two kernels: the kernel/drivers have different sizes.

Revision history for this message
bastii (me-l-dot) wrote :

I think the cause is the same as in this report:

https://lists.linux-foundation.org/pipermail/bugme-new/2009-June/022171.html

In this report the bug is related to smartmontools and the kernel itself.

On a Dell Server PowerEdge T310 with installed SAS controller and a SATA disk. The message appears 2000 seconds for a couple of times.

[623579.504632] Descriptor sense data with sense descriptors (in hex):
[623579.504635] 72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
[623579.504646] 00 4f 00 c2 00 50
[623579.504653] sd 0:0:0:0: [sda] Add. Sense: ATA pass through information available

Revision history for this message
Jeremy Foshee (jeremyfoshee) wrote :

hbonnin,
     Have you had the opportunity to test this against the latest Lucid Alpha? I'm interested in the results of this test.

Thanks!

-JFo

Changed in linux (Ubuntu):
status: New → Incomplete
importance: Undecided → Medium
Revision history for this message
bastii (me-l-dot) wrote : Re: [Bug 474207] Re: Karmic not working on a Dell 7400
Download full text (3.8 KiB)

No, haven't had the chance. I will be testing kernel 2.6.32.8 from
kernel.org today. I won't be having the time to test lucid alpha.

-bastii

On Wed, Feb 10, 2010 at 11:39 PM, Jeremy Foshee <<email address hidden>
> wrote:

> hbonnin,
> Have you had the opportunity to test this against the latest Lucid
> Alpha? I'm interested in the results of this test.
>
> Thanks!
>
> -JFo
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => Medium
>
> --
> Karmic not working on a Dell 7400
> https://bugs.launchpad.net/bugs/474207
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
> Status in Debian GNU/Linux: New
>
> Bug description:
> Hi,
>
> My computer is a Dell T7400 with an Intel 631xESB/632xESB/3100 Ultra ATA
> storage controller.
>
> I cannot boot Karmic using this old kernel as mountall needs a newer
> kernel.
> If I use kernel 2.6.31.14 sooner or later the system crashes (disk
> errors):
>
> lspci -vvn :
> 00:1f.2 SATA controller [0106]: Intel Corporation 631xESB/632xESB SATA AHCI
> Controller [8086:2681] (rev 09) (prog-if 01)
> Subsystem: Dell Device [1028:021d]
> Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 20
> I/O ports at fe00 [size=8]
> I/O ports at fe10 [size=4]
> I/O ports at fe20 [size=8]
> I/O ports at fe30 [size=4]
> I/O ports at fec0 [size=32]
> Memory at ff970000 (32-bit, non-prefetchable) [size=1K]
> Capabilities: [70] Power Management version 2
> Capabilities: [a8] SATA HBA <?>
> Kernel driver in use: ahci
>
> 05:00.0 SCSI storage controller [0100]: LSI Logic / Symbios Logic SAS1068E
> PCI-Express Fusion-MPT SAS [1000:0058] (rev 08)
> Subsystem: Dell Device [1028:021d]
> Flags: bus master, fast devsel, latency 0, IRQ 56
> I/O ports at cc00 [size=256]
> Memory at f7dec000 (64-bit, non-prefetchable) [size=16K]
> Memory at f7df0000 (64-bit, non-prefetchable) [size=64K]
> Expansion ROM at f7e00000 [disabled] [size=1M]
> Capabilities: [50] Power Management version 2
> Capabilities: [68] Express Endpoint, MSI 00
> Capabilities: [98] Message Signalled Interrupts: Mask- 64bit+
> Queue=0/0 Enable-
> Capabilities: [b0] MSI-X: Enable- Mask- TabSize=1
> Capabilities: [100] Advanced Error Reporting <?>
> Kernel driver in use: mptsas
> Kernel modules: mptsas
>
>
> syslog kernel 2.6.31.14
> Oct 31 18:01:39 T7400 kernel: [ 384.389927] sd 11:0:1:0: [sdb] Add. Sense:
> ATA pass through information available
> Oct 31 18:01:44 T7400 kernel: [ 389.148057] sd 11:0:1:0: [sdb] Sense Key :
> Recovered Error [current] [descriptor]
> Oct 31 18:01:44 T7400 kernel: [ 389.148063] Descriptor sense data with
> sense descriptors (in hex):
> Oct 31 18:01:44 T7400 kernel: [ 389.148065] 72 01 00 1d 00 00 00
> 0e 09 0c 00 00 00 00 00 00
> Oct 31 18:01:44 T7400 kernel: [ 389.148073] 00 00 00 00 00 00
>
> I get the same error message when using smartctl.
>
> If I compare the syslog using kernel 2.6.24.24 (which works perfectly) and
> kernel 2.6.31.14 the main diffe...

Read more...

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

Lucky you. I just so happen to have an HP DL165 G5 with an LSI SAS 3442E-R board (A.K.A. LSI Logic / Symbios Logic SAS1068E PCI-Express Fusion-MPT SAS controller) with SATA disks so I can tell you that this issue most definitely was not fixed in Lucid.

I'm in the process of building the mpt modules patch described in here:

http://kerneltrap.org/mailarchive/linux-scsi/2010/4/26/6884716

To see if the drive bug is really a data alignment issue. I think it could be DWord vs. QuadWord alignment.

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

One thing that aggravates this problem is having the drives in a software RAID-1.

I rebuilt the server from scratch with md0 as a RAID-1 entirely with LVM in it. This boots because of grub2 being able to handle booting from LVM.

When this system boots the sdb drive in the RAID-1 reports errors and starts re-syncing.

The same server did not have this problem running Ubuntu 8.04.4 LTS Hardy only a couple hours before. It was first built as Lucid, then Hardy then Lucid again and the issue only occurs when it's running Lucid.

See the attached dmesg log.

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

When the server was first built as Lucid sdb not only faulted when it was re-syncing, a replacement sdb also faulted during re-syncing. The second replacement drive worked fine once the server was rebuilt as Hardy; I haven't retried the first one.

looking at the patch in
http://kerneltrap.org/mailarchive/linux-scsi/2010/4/26/6884716
it appears you are actually supposed to use blk_queue_update_dma_alignment()
but the difference it makes is trivial in reality.

diff -u mptscsih.c.DIST mptscsih.c
--- mptscsih.c.DIST 2010-05-12 10:35:04.326544905 -0400
+++ mptscsih.c 2010-05-12 16:23:40.948596315 -0400
@@ -2363,6 +2363,9 @@
                ioc->name,sdev->tagged_supported, sdev->simple_tags,
                sdev->ordered_tags));

+ blk_queue_update_dma_alignment(sdev->request_queue, 512 - 1);
+ printk(KERN_INFO, "sdev->request_queue->dma_alignment set to %d", sdev->request_queue->dma_alignment);
+
        return 0;
 }

but no joy. The printk message shows up twice in the dmesg output but

May 12 16:57:54 eeekamouse kernel: [ 662.544667] sd 6:0:1:0: [sdb] Sense Key : Recovered Error [current] [descriptor]
May 12 16:57:54 eeekamouse kernel: [ 662.544681] Descriptor sense data with sense descriptors (in hex):
May 12 16:57:54 eeekamouse kernel: [ 662.544687] 72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
May 12 16:57:54 eeekamouse kernel: [ 662.544705] 00 00 00 00 00 00
May 12 16:57:54 eeekamouse kernel: [ 662.544715] sd 6:0:1:0: [sdb] Add. Sense: ATA pass through information available
May 12 16:57:54 eeekamouse kernel: [ 662.570602] sd 6:0:1:0: [sdb] Sense Key : Recovered Error [current] [descriptor]
May 12 16:57:54 eeekamouse kernel: [ 662.570616] Descriptor sense data with sense descriptors (in hex):
May 12 16:57:54 eeekamouse kernel: [ 662.570621] 72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
May 12 16:57:54 eeekamouse kernel: [ 662.570640] 00 00 00 00 00 00
May 12 16:57:54 eeekamouse kernel: [ 662.570649] sd 6:0:1:0: [sdb] Add. Sense: ATA pass through information available

Revision history for this message
clesch (clesch) wrote :

I’m seeing the same issue with Lucid and a LSI 3081E-R, reflashed with the Target Initiator firmware in order to run software raid with mdadm. Heaps and heaps of these errors all over the place.

kernel: [ 51.672195] sd 6:0:0:0: [sdc] Add. Sense: ATA pass through information available
kernel: [ 51.679933] sd 6:0:4:0: [sdg] Sense Key : Recovered Error [current] [descriptor]
kernel: [ 51.679936] Descriptor sense data with sense descriptors (in hex):
kernel: [ 51.679937] 72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00
kernel: [ 51.679943] 00 4f 00 c2 00 50

I would like to know how sever these errors are — so far I’ve experienced no issues other than the log entires, but I can’t help but wonder if this bug causes silent data corruption?

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

I'm going to try avoiding using SMART monitoring since that seems to activate the bug.

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :
Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :
Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :
Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

Lucid - kernel 2.6.32-23 / mptsas 3.04.12
RHEL 6 - kernel 2.6.32-37 / mptsas 3.04.13

The difference between 3.04.12 and 3.04.13 is
http://kerneltrap.org/mailarchive/linux-scsi/2009/10/7/6475853
which is not relevant to this.

Therefore Red Hat will probably have to fix this too.

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

RHEL 6 is a frozen Fedora 12 and there is a Fedora 12 bug report for this very issue:
https://bugzilla.redhat.com/show_bug.cgi?id=533035

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :
Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :
Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :
Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

With a bit of patching I have a mptlinux_4.22.00.00-2_all.deb

Install dkms from APT:
sudo aptitude install dkms

Fetch the 4.22.00.00-2 drivers for RHEL5 etc. from
http://www.lsi.com/storage_home/products_home/standard_product_ics/sas_ics/lsisas1068/index.html?remote=1&locale=EN

Unpack and unpack and unpack them. There are tar.gz in side of zip for days.
Somewhere in all that mess you will find mptlinux-4.22.00.00-1dkms.noarch.rpm
Convert that to a deb and install it:

fakeroot alien --to-deb mptlinux-4.22.00.00-1dkms.noarch.rpm
sudo dpkg -i mptlinux_4.22.00.00-2_all.deb

Due to cultural differences the source will unpack in the wrong place for Ubuntu. Make a copy in the right place.

sudo mkdir -p /var/lib/dkms/mptlinux/4.22.00.00/source
cd /usr/src/mptlinux-4.22.00.00/
sudo cp -a . /var/lib/dkms/mptlinux/4.22.00.00/source

Apply the patch attached to this post.

Build the dkms deb

sudo dkms build -m mptlinux -v 4.22.00.00
sudo dkms mkdeb -m mptlinux -v 4.22.00.00

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

Not quite right; the "dkms mkdeb" selects the source code from /usr/src/mptlinux-4.22.00.00/ not /var/lib/dkms/mptlinux/4.22.00.00/source

Running
sudo dkms install -m mptlinux -v 4.22.00.00
and then rebooting does install the driver:

Jul 12 14:30:15 lucid kernel: [ 81.863358] Fusion MPT SAS Host driver 4.22.00.00

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

The location of the source tree is controlled via an option argument to dkms. There is no reason to copy the source tree around.

The patch attached to this post has the path names updated to reflect this.

fakeroot alien --to-deb mptlinux-4.22.00.00-1dkms.noarch.rpm
sudo dpkg -i mptlinux_4.22.00.00-2_all.deb

cd /usr/src/mptlinux-4.22.00.00
patch -p 0 < ~/mpt-4.22.00.00-2.patch

sudo dkms --sourcetree /usr/src/mptlinux-4.22.00.00 build -m mptlinux -v 4.22.00.00
sudo dkms --sourcetree /usr/src/mptlinux-4.22.00.00 install -m mptlinux -v 4.22.00.00
sudo dkms --sourcetree /usr/src/mptlinux-4.22.00.00 mkdeb -m mptlinux -v 4.22.00.00

The resulting deb is conveniently located in /var/lib/dkms/mptlinux/4.22.00.00/deb/mptlinux-dkms_4.22.00.00_all.deb

That deb contains the patched source code so once you have it it is only necessary to run four commands on systems you want the new driver on:

sudo aptitude install dkms
sudo dpkg -i mptlinux_4.22.00.00-2_all.deb
sudo dkms --sourcetree /usr/src/mptlinux-4.22.00.00 build -m mptlinux -v 4.22.00.00
sudo dkms --sourcetree /usr/src/mptlinux-4.22.00.00 install -m mptlinux -v 4.22.00.00

It is necessary to reboot after running "dkms ... install" in order to load the driver module.

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

Poop. Didn't realize "dkms add ..." creates the symlink. Also the "debhelper" package is a requirement.

One more time (patch from previous message is the one to use)

Fetch the 4.22.00.00-2 drivers for RHEL5 etc. from
http://www.lsi.com/storage_home/products_home/standard_product_ics/sas_ics/lsisas1068/index.html?remote=1&locale=EN
Unpack and unpack until you get to mptlinux-4.22.00.00-1dkms.noarch.rpm

fakeroot alien --to-deb mptlinux-4.22.00.00-1dkms.noarch.rpm
sudo dpkg -i mptlinux_4.22.00.00-2_all.deb

cd /usr/src/mptlinux-4.22.00.00
patch -p 0 < ~/mpt-4.22.00.00-2.patch
cd -

sudo aptitude install dkms debhelper
sudo dpkg -i mptlinux_4.22.00.00-2_all.deb
sudo dkms add -m mptlinux -v 4.22.00.00
sudo dkms build -m mptlinux -v 4.22.00.00

To deploy the driver on the current system
sudo dkms install -m mptlinux -v 4.22.00.00
sudo reboot

To deploy the drive on another system
sudo dkms mkdeb -m mptlinux -v 4.22.00.00
The resulting deb package file:
/var/lib/dkms/mptlinux/4.22.00.00/deb/mptlinux-dkms_4.22.00.00_all.deb
Can be copied to the target system

sudo aptitude install dkms
sudo dpkg -i mptlinux_4.22.00.00-2_all.deb
sudo dkms add -m mptlinux -v 4.22.00.00
sudo dkms build -m mptlinux -v 4.22.00.00
sudo dkms install -m mptlinux -v 4.22.00.00
sudo reboot

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

sudo aptitude install dkms
sudo dpkg -i mptlinux_4.22.00.00-2_all.deb
sudo dkms add -m mptlinux -v 4.22.00.00
sudo dkms build -m mptlinux -v 4.22.00.00
sudo dkms install -m mptlinux -v 4.22.00.00
sudo reboot

should be

sudo aptitude install dkms
sudo dpkg -i mptlinux-dkms_4.22.00.00_all.deb
sudo dkms add -m mptlinux -v 4.22.00.00
sudo dkms build -m mptlinux -v 4.22.00.00
sudo dkms install -m mptlinux -v 4.22.00.00
sudo reboot

tags: added: patch
Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

One more touch-up to the directions.

sudo aptitude install dkms
sudo dpkg -i mptlinux-dkms_4.22.00.00_all.deb
sudo dkms add -m mptlinux -v 4.22.00.00
sudo dkms build -m mptlinux -v 4.22.00.00
sudo dkms install -m mptlinux -v 4.22.00.00
sudo reboot

should be

sudo aptitude install dkms
sudo dpkg -i mptlinux-dkms_4.22.00.00_all.deb
sudo reboot

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

4.22.00.00-2 seems to have the same issue. I left an HP DL165 G5 running an I/O stress test overnight and got:

Jul 12 23:14:40 lucid kernel: [ 6997.890064] mptscsih: ioc0: attempting task abort! (sc=ffff88021860a200)
Jul 12 23:14:40 lucid kernel: [ 6997.890073] sd 6:0:1:0: [sdb] CDB: ATA command pass through(12)/Blank: a1 08 2e 00 01 00 00 00 00 ec 00 00
Jul 12 23:14:40 lucid kernel: [ 6998.738827] mptbase: ioc0: LogInfo(0x31170000): Originator={PL}, Code={IO Device Missing Delay Retry}, SubCode(0x0000)
Jul 12 23:14:44 lucid kernel: [ 7002.229591] mptbase: ioc0: LogInfo(0x31140000): Originator={PL}, Code={IO Executed}, SubCode(0x0000)
Jul 12 23:14:44 lucid kernel: [ 7002.230678] mptscsih: ioc0: task abort: SUCCESS (sc=ffff88021860a200)

http://tinyurl.com/25oeovu

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :
Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

There are reasons to believe that this bug is not in the mptsas driver but in more general SCSI code. There are reports of USB having similar issues with ATA pass through commands.

To continue testing I put on kernel 2.6.35.7.12 via PPA (with the stock 3.04.15 from that, not my dkms port.)

https://launchpad.net/~kernel-ppa/+archive/ppa

sudo add-apt-repository ppa:kernel-ppa/ppa
sudo aptitude install linux-image-2.6.35-7-server

I am running a system test to exercise I/O now.

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

Mea culpa,

1) This bug was fixed in Lucid (but not in Karmic)
2) It was never an LSI MPT bug, it was in scsi_lib.c
3) I'm running an ordinary, current Lucid on an HP DL 165 G5 ("Proliant") OK now.

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

4) the dkms stuff I posted may work in Lucid; I was testing on Karmic due to (in part) confusion created by PXE boot assembly of the system.

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

Foo! this bug is definitely not fixed. And it was initially filed all wrong too.

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :

Lauchpad is my scratchpad (sometimes)

https://bugzilla.redhat.com/show_bug.cgi?id=616498

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :
Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :
Revision history for this message
Roni Kisin (roni-kisin) wrote :

Same issue on Dell t7500. Was able to boot from an old SATA drive, but otherwise, no luck.

Revision history for this message
nutznboltz (nutznboltz-deactivatedaccount) wrote :
Revision history for this message
gruad23 (gruad23) wrote :

Do you also experience extremely weak I/O-performance using the 1068E LSI-controller (or others mentioned here).
I run a Dell Poweredge R300 under Ubuntu 8.04 (I dont upgrade after the problems I read here) and I/O-performance is out of question. Running the bonnie++-test-suite to measure the performance makes cpu-waitcycles and systemload to skyrocket and will render the system unusable.

I wonder if building my own mpt-drivers as described above will solve my problem or make my system even more unstable.

using kernel 2.6.24-28 now

no weird entries in syslog ...

thnx.

Revision history for this message
Brad Figg (brad-figg) wrote : Unsupported series, setting status to "Won't Fix".

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.